* Fall 21
clear
clear all
cd "L:\Hu17\Data Exploration"
cap log close
cap log using "Create Test Data.log", replace

use raw00012

drop if year<1982 | year>2021

gen month1=month+0
drop month
gen month=month1
drop month1

gen mish1=mish+0
drop mish
gen mish=mish1
drop mish1 

gen age1=age+0
drop age
gen age=age1
drop age1

generate female=sex-1
drop sex

gen relate1=relate+0
drop relate
gen relate=relate1
drop relate1

gen citizen1=citizen+0
drop citizen
gen citizen=citizen1
drop citizen1
drop citizen /* added */

gen bpl1=bpl+0
drop bpl
gen bpl=bpl1
drop bpl1

gen marst1=marst+0
drop marst
gen marst=marst1
drop marst1

gen educ1=educ+0
drop educ
gen educ=educ1
drop educ1
gen educa=1
replace educa=2 if educ<=92 & educ >=81
replace educa=3 if educ>=111 
replace educa=. if educ==. |  educ==1
drop if educa==. /* added */
drop educ

gen empstat1=empstat+0
drop empstat
gen empstat=empstat1
drop empstat1

* Define race variables
 
decode race, generate(race1)
decode hispan, generate(hispan1)

drop if   (hispan==. | race ==.) /* Added*/

generate White = (hispan1 == "Not Hispanic") & (race1=="White")
generate Hispanic = (hispan1 != "Not Hispanic") & (race1=="White")
generate AsianAll= (race1=="Asian only" | race1=="Hawaiian/Pacific Islander only" ///
	| race1=="White-Asian" | race1=="Black-Asian")
generate Black = (race1=="Black/Negro")
replace White=. if (hispan==. | race ==.)
replace Hispanic=. if (hispan==. | race ==.)
replace AsianAll=. if  race ==.
replace Black=. if  race ==.

*drop armed forces
keep if empstat!=1 

gen working=0
replace working=1 if empstat==10 
replace working=-999 if empstat==0 /*edited */

generate kidslt5=(nchlt5>0)
replace kidslt5=-999 if nchlt5==.
generate kids=(nchild>0)
replace kids=-999 if nchild==.
drop race race1 nchild nchlt5 race1 hispan1 asecflag empstat hispan  bpl 

order mish  cpsidp cpsid working female age year month  relate marst educa wtfinl hwtfinl 


export delimited using CSV_Dat.csv, replace 
summ year
